<?php
require_once("../conf.php");
?>
<!DOCTYPE HTML>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>phpChart - Banded Line</title>
</head>
    <body>
        <div><span> </span><span id="info1b">Nothing</span></div>

<?php
    
    $js_theme = array('grid'=>array('drawBorder'=>false, 'shadow'=>false, 'background'=>'rgba(255, 255, 255, 0.0)'),
                      'seriesDefaults'=>array('shadow'=>false,'showMarker'=>false),
                      'axes'=>array('xaxis'=>array('pad'=>'1.0', 'tickOptions'=>array('showGridline'=>false)), 'yaxis'=>array('pad'=>'1.05')));

    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    //Baned line example 1
    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    
	// Band data in arrays of [x,y] values.
	$bdat = array(array(array('7/1/2011', 8), array('7/2/2011', 9), array('7/3/2011', 8), array('7/4/2011', 13), array('7/5/2011', 11), array('7/6/2011', 13) ),
                        array(array('7/1/2011', 12), array('7/2/2011', 13), array('7/3/2011', 12), array('7/4/2011', 17), array('7/5/2011', 15), array('7/6/2011', 17)));

    $dat = array(array('7/1/2011', 10), array('7/2/2011', 11), array('7/3/2011', 10), array('7/4/2011', 15), array('7/5/2011', 13), array('7/6/2011', 15));

    $pc = new C_PhpChartX($dat,'chart01','extend',$js_theme);  
    $pc->add_plugins(array('highlighter','cursor','pointLabels'));
    $pc->add_series(array('rendererOptions'=>array('bandData'=>$bdat)));
	$pc->set_xaxes(array(
            'xaxis'=>array(
				'renderer'=>'plugin::DateAxisRenderer', 
				'min'=>'7/1/2011',
				'max'=>'7/6/2011',
				'tickInterval'=>'1 day')
         ));
    
    $pc->draw(600,310);
/*
    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    //example chart 2
    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

    $bdat = array(array(array('7/1/2011', 9), array('7/3/2011', 7), array('7/4/2011', 13), array('7/5/2011', 11), array('7/6/2011', 13)),
                  array(array('7/1/2011', 12), array('7/3/2011', 14), array('7/4/2011', 18), array('7/6/2011', 16)));

    $dat = array(array('7/1/2011', 10), array('7/2/2011', 11), array('7/3/2011', 10), array('7/4/2011', 15), array('7/5/2011', 13), array('7/6/2011', 15));
	$pc = new C_PhpChartX($dat,'chart02','extend',$js_theme);
    $pc->add_plugins(array('highlighter','cursor','pointLabels'));
    $pc->add_series(array('rendererOptions'=>array('bandData'=>$bdat,'smooth'=>true)));
	$pc->set_xaxes(array(
            'xaxis'=>array(
				'renderer'=>'plugin::DateAxisRenderer', 
				'min'=>'7/1/2011',
				'max'=>'7/6/2011',
				'tickInterval'=>'1 day')
         ));

    $pc->draw(600,310);

    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    //example chart 3
    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

    $bdat = array(array(7, 13), array(8, 14), array(7,13), array(12, 18), array(10, 16), array(12, 18));
    $dat = array(array(0, 10), array(1, 11), array(2, 10), array(3, 15), array(4, 13), array(5, 15));

    $pc = new C_PhpChartX($dat,'chart03','extend',$js_theme);
    
    $pc->add_plugins(array('highlighter','cursor','pointLabels','dateAxisRenderer'));
    $pc->add_series(array(
		'rendererOptions'=>array(
			'bandData'=>$bdat,
			'smooth'=>true)));
    $pc->draw(600,310);
    
    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    //example chart 4
    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

    // Same plot as before with different band data specification and smoothed lines.
    $bdat = array(array(7, 8, 7, 12, 10, 12), array(13, 14, 13, 18, 16, 18));

    $pc = new C_PhpChartX($dat,'chart04','extend',$js_theme);
    $pc->add_plugins(array('highlighter','cursor','pointLabels'));
    $pc->add_series(array(
		'rendererOptions'=>array(
			'bandData'=>$bdat,
			'smooth'=>true)));
    $pc->draw(600,310);

    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    //example chart 5
    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

    // Same plot as before with different band data specification and smoothed lines.
    $pc = new C_PhpChartX($dat,'chart05','extend',$js_theme);
    
    $pc->add_plugins(array('highlighter','cursor','pointLabels'));
    $pc->add_series(array(
		'rendererOptions'=>array(
			'bands'=>array('interval'=>1.7),
			'smooth'=>true)));
    $pc->draw(600,310);

    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    //example chart 6
    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

    // Same plot as before with different band data specification and smoothed lines.
    $pc = new C_PhpChartX($dat,'chart06','extend',$js_theme);
    
    $pc->add_plugins(array('highlighter','cursor','pointLabels'));
    $pc->add_series(array(
		'rendererOptions'=>array(
			'bands'=>array('interval'=>'10%'),
			'smooth'=>true)));
    $pc->draw(600,310);

    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    //example chart 7
    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

    // Same plot as before with different band data specification and smoothed lines.
    $pc = new C_PhpChartX($dat,'chart07','extend',$js_theme);
    
    $pc->add_plugins(array('highlighter','cursor','pointLabels'));
    $pc->add_series(array(
		'rendererOptions'=>array(
			'bands'=>array(
				'interval'=>array(3,'-10%')),
				'smooth'=>true)));
    $pc->draw(600,310);

    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    //example chart 8
    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

    //here band data specified as an array of [low y values] and [hi y values]
    //bdat = [[7, 8, 7, 12, 10, 12], [13, 14, 13, 18, 16, 18]];

    // Same plot as before with different band data specification and smoothed lines.
    $pc = new C_PhpChartX($dat,'chart08','extend',$js_theme);
    
    $pc->add_plugins(array('highlighter','cursor','pointLabels'));
    $pc->add_series(array(
		'rendererOptions'=>array(
			'bands'=>array(
				'interval'=>4,
				'fillColor'=>'rgba(198, 88, 88, 0.6)',
				'showLines'=>true),
			'highlightMouseDown'=>true,
			'smooth'=>true)));
    $pc->draw(600,310);
*/
?>

    </body>
</html>
